<?xml version="1.0" encoding="utf-8"?>
<!-- 
  ======================================================================
  このスタイルシートは、「気象庁防災情報XMLフォーマット」に対して活用事例を示すサンプルであり、資料として参照することを目的とする。
  よって、本スタイルシートを直接利用した場合に発生する問題に対して、気象庁は責任を負わない。
  Copyright (c) 気象庁 2010 All rights reserved.

  【本スタイルシートの説明】
　噴火に関する火山観測報のXML電文を現行テキスト電文に近い形で表示させる例

  【更新履歴】
  2010年04月30日　Ver.1.0 　地震火山部火山課
  ======================================================================
  --> 
<xsl:stylesheet xmlns:jmx="http://xml.kishou.go.jp/jmaxml1/" xmlns:jmx_ib="http://xml.kishou.go.jp/jmaxml1/informationBasis1/" xmlns:jmx_add="http://xml.kishou.go.jp/jmaxml1/addition1/" xmlns:jmx_eb="http://xml.kishou.go.jp/jmaxml1/elementBasis1/" xmlns:jmx_volc="http://xml.kishou.go.jp/jmaxml1/body/volcanology1/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="UTF-8" />
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="/jmx:Report/jmx:Control/jmx:Title" /></title>
      </head>
      <body>
        <H1>
          <xsl:value-of select="/jmx:Report/jmx_ib:Head/jmx_ib:Title" />
        </H1>
        <xsl:if test="/jmx:Report/jmx_volc:Body/jmx_volc:Notice">
          <p align="left"><xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:Notice"/></p>
        </xsl:if>
        <p align="left">日時：
          <xsl:if test="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoInfo[@type='噴火に関する火山観測報']/jmx_volc:Item/jmx_volc:EventTime">
            <xsl:variable name="EventDateTime"><xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoInfo[@type='噴火に関する火山観測報']/jmx_volc:Item/jmx_volc:EventTime/jmx_volc:EventDateTime" /></xsl:variable>
            <xsl:value-of select="substring($EventDateTime,1,4)" />年<xsl:value-of select="substring($EventDateTime,6,2)" />月<xsl:value-of select="substring($EventDateTime,9,2)" />日<xsl:value-of select="substring($EventDateTime,12,2)" />時<xsl:value-of select="substring($EventDateTime,15,2)" />分
          </xsl:if>
        </p>
        <p align="left">現象：<xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoInfo[@type='噴火に関する火山観測報']/jmx_volc:Item/jmx_volc:Kind/jmx_volc:Name" /></p>
        <p align="left">火山名：<xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoInfo[@type='噴火に関する火山観測報']/jmx_volc:Item/jmx_volc:Areas[@codeType='火山名']/jmx_volc:Area/jmx_volc:Name" /></p>
        <p align="left">有色噴煙：
          <xsl:if test="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:ColorPlume">
            <xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:ColorPlume/jmx_eb:PlumeHeightAboveCrater[@type='火口上噴煙高度']"/>
<xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:ColorPlume/jmx_eb:PlumeHeightAboveCrater[@type='火口縁上噴煙高度']"/>m
          </xsl:if>
        </p>
        <p align="left">流向：
          <xsl:if test="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:ColorPlume">
            <xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:ColorPlume/jmx_eb:PlumeDirection"/>
          </xsl:if>
        </p>
        <p align="left">----</p>
        <p align="left"><xsl:value-of select="/jmx:Report/jmx_volc:Body/jmx_volc:VolcanoObservation/jmx_volc:OtherObservation" /></p>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>